#ifndef RASCAN_H
#define RASCAN_H 1

/*
 * You may want to change these defines to make them fit
 * your system.
 */
 
#define QMAIL_QUEUE "/var/qmail/bin/qmail-queue"
#define VERSION "0.1.0"
#define WORKDIRDEFAULT "/var/qmail/rascan"

/*
 * That's all you may need to touch.
 */


// qmail-queue error codes
#define EXIT_0     0            /* Success */
#define EXIT_11   11            /* address too long */
#define EXIT_400  71            /* temporary refusal to accept */
#define EXIT_500  31            /* permenent refusal to accept message SMTP: 5XX code */
#define EXIT_MSG  82            /* exit with custom error message */

#define BUFFER_SIZE 2048
#define SECS(tv) (tv.tv_sec + tv.tv_usec / 1000000.0)


void exit_clean (int error_code);
void debug (bstring msg, int priority);
void format_dir (bstring workdir);
void reject (bstring msg);
void log_message (char *state, char *subject, int spam);
int check_clam ();
void add_run_scanner (char *scanner, char *version);
int run_ripmime ();
void lookup_versions ();
int fd_move (int to, int from);
int fd_copy (int to, int from);
int check_spam ();
int remove_files (char *dir);
int is_clam (char *clambuf);
int is_spam (char *spambuf);
int run_altermime (bstring footerfile);

#endif
