#!/usr/bin/env python

import os
os.environ["RASCAN_DEBUG"]="9"
os.environ["RASCAN_DIR"]=os.getcwd()

def readf(fname):
	return open(fname).read()

def runtest(name,msg,footer=None):
	
	if footer:
		os.environ["EMAIL_FOOTER"]=footer
	res=os.system ("../rascan 0<%s 1<envelope 2>%s.result 4>&2"%(msg,name))
	print "Running test: %s - %d - %d"%(name,os.WTERMSIG(res),res&0xff)

errors=0
ok=0

runtest("spam","sample-spam.txt")
d=readf("spam.result")
if d.find("]:SPAM (1000")<>-1:
	print "OK"
	ok+=1
else:
	print "FAIL"
	errors+=1

runtest("nonspam","sample-nonspam.txt")
d=readf("nonspam.result")
if d.find ("]:CLEAN (")<>-1:
	print "OK"
	ok+=1
else:
	print "FAIL"
	errors+=1
	
runtest("virus","sample-eicar.txt")
d=readf("virus.result")
if d.find ("Your email was rejected because it contains the : Eicar-Test-Signature  virus")<>-1:
	print "OK"
	ok+=1
else:
	print "FAIL"
	errors+=1

runtest("footer","sample-nonspam.txt","../foot")
d=readf("footer.result")	
if d.find ("run_altermime had an error")==-1:
	print "OK"
	ok+=1
else:
	print "FAIL"
	errors+=1
